OGRE: Ogre::ControllerFunction< T > Class Template Reference - OGRE Documentation

Public Member Functions | Protected Member Functions | Protected Attributes

# Ogre::ControllerFunction< T > Class Template Reference
[General]

Subclasses of this class are responsible for performing a function on an input value for a Controller. More...

`#include <OgreController.h>`

Inheritance diagram for Ogre::ControllerFunction< T >:
[legend]

List of all members.

## Public Member Functions
| ControllerFunction (bool deltaInput)
| Constructor.
virtual | ~ControllerFunction ()
virtual T | calculate (T sourceValue)=0
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
## Protected Member Functions
T | getAdjustedInput (T input)
| Gets the input value as adjusted by any delta.
## Protected Attributes
bool | mDeltaInput
| If true, function will add input values together and wrap at 1.0 before evaluating.
T | mDeltaCount

## Detailed Description

### template<typename T>
class Ogre::ControllerFunction< T >

Subclasses of this class are responsible for performing a function on an input value for a Controller.

Remarks:
  This abstract class provides the interface that needs to be supported for a custom function which can be 'plugged in' to a Controller instance, which controls some object value based on an input value. For example, the WaveControllerFunction class provided by Ogre allows you to use various waveforms to translate an input value to an output value.

  You are free to create your own subclasses in order to define any function you wish.

Definition at line 55 of file OgreController.h.

## Constructor & Destructor Documentation

template<typename T>

Ogre::ControllerFunction< T >::ControllerFunction | ( | bool | deltaInput | ) |

Constructor.

Parameters:

  | deltaInput | If true, signifies that the input will be a delta value such that the function should add it to an internal counter before calculating the output.

Definition at line 89 of file OgreController.h.

template<typename T>

virtual Ogre::ControllerFunction< T >::~ControllerFunction | ( |  | ) | `[virtual]`

Definition at line 95 of file OgreController.h.

## Member Function Documentation

template<typename T>

virtual T Ogre::ControllerFunction< T >::calculate | ( | T | sourceValue | ) | `[pure virtual]`

Implemented in Ogre::PassthroughControllerFunction, Ogre::AnimationControllerFunction, Ogre::ScaleControllerFunction, and Ogre::WaveformControllerFunction.

template<typename T>

T Ogre::ControllerFunction< T >::getAdjustedInput | ( | T | input | ) | `[protected]`

Gets the input value as adjusted by any delta.

Reimplemented in Ogre::WaveformControllerFunction.

Definition at line 64 of file OgreController.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

## Member Data Documentation

template<typename T>

T Ogre::ControllerFunction< T >::mDeltaCount`[protected]`

Definition at line 60 of file OgreController.h.

Referenced by Ogre::ControllerFunction< Real >::ControllerFunction(), and Ogre::ControllerFunction< Real >::getAdjustedInput().

template<typename T>

bool Ogre::ControllerFunction< T >::mDeltaInput`[protected]`

If true, function will add input values together and wrap at 1.0 before evaluating.

Definition at line 59 of file OgreController.h.

Referenced by Ogre::ControllerFunction< Real >::ControllerFunction(), and Ogre::ControllerFunction< Real >::getAdjustedInput().

The documentation for this class was generated from the following file:

- OgreController.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:54